package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 数据类型  TEACHER 老师 PLATFORM 平台
 *
 * @author liujunchi
 * @date 2022-04-13
 */
public enum SourceTypeEnum implements BaseEnum<String, AuditStatusEnum> {

    TEACHER("TEACHER"),
    PLATFORM("PLATFORM"),
    ACTIVITY("ACTIVITY"),
    ORDER("ORDER"),


    ;

    @EnumValue
    private String code;
    private String msg;

    SourceTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

}
